#!/bin/bash
#
# source: http://downloads.sourceforge.net/zd1211/zd1211-firmware-1.4.tar.bz2
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="zd1211-firmware"
softversion="1.4"
arch="noarch"
packageversion="54.1"
src="$buildir/$soft"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvjf $soft-$softversion.tar.bz2
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

               |-----handy-ruler----------------------------------------------|
zd1211-firmware: zd1211-firmware - Firmware for the zd1211 chip
zd1211-firmware:
zd1211-firmware: This package contains the firmware files for the ZD1211 chip,
zd1211-firmware: which is used in WLAN USB sticks. The files are generated
zd1211-firmware: from C header files distributed in the original ZyDAS ZD1211
zd1211-firmware: driver under the GNU Public License.
zd1211-firmware:
zd1211-firmware:
zd1211-firmware:
zd1211-firmware:
zd1211-firmware:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/lib/firmware/zd1211
cp zd1211* $dest/lib/firmware/zd1211

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a README COPYING $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5